org.jfree.xml.parser.coretypes

## Class GradientPaintReadHandler

- java.lang.Object
- - org.jfree.xml.parser.AbstractXmlReadHandler
  - - org.jfree.xml.parser.coretypes.GradientPaintReadHandler

All Implemented Interfaces:
  XmlReadHandler

    public class GradientPaintReadHandler
    extends AbstractXmlReadHandler

A SAX handler for reading a `GradientPaint` from an XML element.

### Constructor Summary

Constructors
Constructor and Description
`GradientPaintReadHandler()` Creates a new handler.

### Method Summary

Methods
`protected void` `doneParsing()` At the end of parsing the element, the gradient paint is constructed.
`protected XmlReadHandler` `getHandlerForChild(java.lang.String tagName, org.xml.sax.Attributes atts)` Returns the handler for a child element.
`java.lang.Object` `getObject()` Returns the gradient paint under construction.

### Methods inherited from class org.jfree.xml.parser.AbstractXmlReadHandler

`characters, endElement, getRootHandler, getTagName, init, startElement, startParsing`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GradientPaintReadHandler

    public GradientPaintReadHandler()

Creates a new handler.

### Method Detail

#### getObject

    public java.lang.Object getObject()

Returns the gradient paint under construction.

Returns:
  the gradient paint.

#### getHandlerForChild

    protected XmlReadHandler getHandlerForChild(java.lang.String tagName,
                                    org.xml.sax.Attributes atts)
                                         throws org.xml.sax.SAXException,
                                                XmlReaderException

Returns the handler for a child element.

Overrides:
  `getHandlerForChild` in class `AbstractXmlReadHandler`
Parameters:
  `tagName` - the tag name.
  `atts` - the attributes.
Returns:
  the handler.
Throws:
  `org.xml.sax.SAXException` - to indicate a parsing error.
  `XmlReaderException` - if there is a reader error.

#### doneParsing

    protected void doneParsing()
                        throws XmlReaderException

At the end of parsing the element, the gradient paint is constructed.

Overrides:
  `doneParsing` in class `AbstractXmlReadHandler`
Throws:
  `XmlReaderException` - if there is a parsing error.